%global upstream_name itsdangerous

Name:           python-%{upstream_name}
Version:        2.1.0
Release:        %mkrel 1
Summary:        Python library for passing trusted data to untrusted environments
Group:          Development/Python
License:        BSD
URL:            http://pythonhosted.org/itsdangerous/
Source0:        http://pypi.python.org/packages/source/i/%{upstream_name}/%{upstream_name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Itsdangerous is a Python library for passing data through untrusted
environments (for example, HTTP cookies) while ensuring the data is not
tampered with.

Internally itsdangerous uses HMAC and SHA1 for signing by default and bases the
implementation on the Django signing module. It also however supports JSON Web
Signatures (JWS).

%package -n python3-%{upstream_name}
Summary:        Python 3 library for passing trusted data to untrusted environments
Group:          Development/Python

%description -n python3-%{upstream_name}
Itsdangerous is a Python 3 library for passing data through untrusted
environments (for example, HTTP cookies) while ensuring the data is not
tampered with.

Internally itsdangerous uses HMAC and SHA1 for signing by default and bases the
implementation on the Django signing module. It also however supports JSON Web
Signatures (JWS).

%prep
%setup -qn %{upstream_name}-%{version}

# drop bundled egg-info
rm -rf src/itsdangerous.egg-info/

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{upstream_name}
%{python3_sitelib}/*

%changelog
* Thu Aug 18 2022 TerryN <terryn94 at gmail.com> 2.1.0-1pclos2022
- update and rebuild for python 3.10

* Tue Apr 17 2018 marcin82 <fixxer1982 at gmail.com> 0.24-3pclos2018
- rebuild with python 3.6.5

* Tue Aug 22 2017 bb2 <bb2> 0.24-2pclos2017
- rebuild
